<div class="controls">
  <div
    class="controls__input input"
    [class.input_invalid]="!timer.validity.valid">
    <label
      class="input__label"
      for="timer">
      Timer, ms
    </label>
    <input
      class="input__control"
      [ngModel]="controlsService.timeoutInterval()"
      (ngModelChange)="timer.validity.valid && controlsService.timeoutInterval.set($event)"
      id="timer"
      #timer
      min="40"
      required
      type="number" />
    <span class="input__error">
      Update interval cannot be less than 40ms (25 fps)
    </span>
  </div>
  <div
    class="controls__input input"
    [class.input_invalid]="!arraySize.validity.valid">
    <label
      class="input__label"
      for="array-size">
      Array size
    </label>
    <input
      class="input__control"
      type="number"
      required
      [ngModel]="controlsService.arraySize()"
      (ngModelChange)="arraySize.validity.valid && controlsService.arraySize.set($event)"
      #arraySize
      min="0"
      id="array-size" />
  </div>
  <div class="controls__input input">
    <app-additional-ids
      [ngModel]="controlsService.arrayIds()"
      (ngModelChange)="controlsService.arrayIds.set($event)"
      class="input__control"></app-additional-ids>
  </div>
</div>
